@charset "UTF-8";
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,400;0,700;1,400&display=swap');

* {
    outline: none; 
    padding: 0;
    margin: 0;
}

img {
    filter: none; 
    -webkit-filter: blur(0px); 
    -moz-filter: blur(0px); 
    -ms-filter: blur(0px);
    filter:progid:DXImageTransform.Microsoft.Blur(PixelRadius='0');
}

:root {
    --common-border-color: rgb(234, 234, 239);
    --body-bg-color: #000;
    --body-color: #000;
    --white-color: #fff;
    --black-color: rgb(0, 0, 0);
    --blue-color: #5262da;

    --color-white: #FFF;
    --color-black: #000;
    --color-blue: #5262da;

    --color-yellow: rgba(255, 225, 114, 0.9);
    --yellow: rgb(255,202,0);
    --yellow-color: rgba(255, 225, 114, 0.9);
    --tint-yellow-color: rgb(239, 208, 95);
    --bright: rgb(255, 255, 121);
    --dark-yellow-color: rgb(63, 53, 22);
    --wrapper-bg-color: #fff;
    --hl-bg-color: rgb(244, 193, 116);
    --hl-color: rgb(59, 50, 28);
    --h1-color: #000;
    --er-bg-color: rgb(177, 63, 63);
    --er-color: rgb(255, 255, 255);
    --fb-bg-color: #3b5998;
    --fb-hbg-color: #4a6aae;
    --ip-gb-color: #fff;
    --topnav-color: #000;
    --topnav-hbg-color: #eee;
    --article-header-bg-color: #000;
    --article-header-color: #fff;
    --speed-line-color: rgb(255, 0, 0);
    --selection-bg-color: var(--black-color);
    --selection-color: var(--white-color);
    --article-border-color:rgb(246, 246, 247);
    --wall-article-bg-color: rgb(253, 253, 255);
    --feedback-bg-color: rgb(255,202,0);;
    --feedback-color: var(--black-color);
    --feedback-close-bg-color: #000;
    --feedback-close-color: #fff;
    --feedbackWrapper-bg-color: #fff;
    --feedbackWrapper-border-color: var(--black-color);
    --color-red: rgb(220, 46, 46);
    --location-border-color: #FFF;
    --scrollIndicColor: var(--ip-btn-bg-color);
    --notFound-Header-Color: #000;
}

:root.dark {

    --common-border-color: rgb(22, 22, 27);
    --wrapper-bg-color: rgb(0, 0, 0);
    --body-color: rgb(255, 255, 255);

    --h1-color: rgb(255, 255, 255);

    --ip-gb-color: rgb(15, 15, 15);
    --ip-color: rgb(204, 204, 204);

    --table-hvbg-color: rgb(255, 224, 99);
    --table-hvborder-color: rgb(165, 144, 62);
    --table-hv-color: rgb(0, 0, 0);

    --ip-border-color: rgb(32, 32, 32);
    --ip-hborder-color: var(--blue-color);
    --ip-fborder-color: var(--blue-color);

    --ip-span-bg-color: var(--blue-color);

    --cnt-bg-color: rgb(13, 13, 16);
    --cnt-border-color: var(--cnt-bg-color);

    --footer-color: rgb(181, 183, 196);
    --footer-border-color: rgb(13, 13, 14);
    --header-bg-color: rgba(0,0,0,0.8);

    --topnav-color: rgb(255, 255, 255);
    --topnav-hbg-color: var(--blue-color);

    --speed-line-color: rgb(255, 0, 0);

    --table-nth-color: #080808;
    --table-border-color: rgb(17, 17, 17);

    --contentOptions-bg-color: #141415;
    --contentOptions-border-color: rgb(46, 46, 50);
    --texteditor-border-color: var(--ip-border-color);
    --texteditor-hborder-color: var(--blue-color);
    --texteditor-fborder-color: var(--blue-color);

    --selection-bg-color: var(--white-color);
    --selection-color: var(--black-color);
    --article-border-color: rgb(10, 12, 16);

    --wall-article-bg-color: var(--section-bg-color);

    --feedback-close-bg-color: #fff;
    --feedback-close-color: #000;
    --feedbackWrapper-bg-color: rgb(8, 8, 8);
    --feedbackWrapper-border-color: #2c3574;
    --section-bg-color: rgb(8, 8, 8);
    --location-border-color: #000;

    --yellow-color: rgba(255,222,100,0.9);
    --bright: rgb(255, 255, 121);


    --notFound-Header-Color: #FFF;
}

body, html { height: 100%;  }

body {
    background-color: var(--body-bg-color);
    color: var(--body-color);
    font-family: 'Open Sans', sans-serif;
    font-weight: 400;
    font-size: 19px;
    min-height: 100%;
    cursor: default;
    user-select: none;
    -webkit-user-select: none;
}

::selection {
    opacity: 1;
    background-color: var(--selection-bg-color);
    color: var(--selection-color);
}

a, a:link, a:visited {
    text-decoration: none;
    color: var(--blue-color);
}

a:hover {
    text-decoration: underline;
    cursor: pointer;
}

h1 {
    font-weight: 400;
    color: var(--h1-color);
    font-size: 30px;
    margin: 10px 0px;
    margin-top: 10px;
}

div.noScroll {
    height: 100%;
    overflow: hidden
}

.panel-content { padding-right: 140px; }

div.wrapper {
    position: relative;
    transition: all 0.2s;
    background: var(--wrapper-bg-color);
    min-height: calc(100% - 0px);
}

div.content {
    max-width: 1000px;
    margin: 0px auto;
    padding: 20px;
}

.notFoundMessage {
    display: flex; 
    max-width: 700px; 
    margin: 0 auto; 
    height: calc(100vh - 200px);
    justify-content: center;
    align-items: center;
    text-align: center;
}

.notFoundMessage h1 {
    font-size: 50px;
    font-weight: bold;
    color: var(--notFound-Header-Color);
}

.notFoundMessage p {
    text-transform: uppercase;
    font-weight: bold;
}

.notFoundMessage > div > a,
.notFoundMessage > div > a:link,
.notFoundMessage > div > a:visited {
    color: var(--body-color);
}

.notFoundMessage > div > a.goToHomePage {
    display: block;
    margin-top: 10px;
    text-decoration: underline;
}